/Users/bernard/b20/bsoft/src/bphase.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bphase.cpp - A program to examine phase differences between image pairs.

SYNOPSIS

#include 'rwimg.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char *argv[])

  Variables
int verbose
const char * use []

Detailed Description

A program to examine phase differences between image pairs.

Author:
    Bernard Heymann

Date:
    Created: 20020217

    Modified: 20151006

Definition in file bphase.cpp.

Function Documentation

  int main (int argc, char * argv[])

Definition at line 39 of file bphase.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bphase [options] file1.img file2.img outfile.img",
"-------------------------------------------------------",
"Calculates the phase difference between two images.",
" ",
"Actions:",
"-cosine                  Calculate the cosine of the phase angle difference.",
"-amplitude               Weight the phase difference with the amplitude product.",
"-center                  Center phase difference map and output it.",
"-flip                    Flip phases based on phase difference map and modify second image.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-datatype short          Force writing of a new data type (default float).",
"-origin 0.8,-10,15.7     Set the origin of both images (default from input images).",
"-resolution 4.5,130      Resolution (default 0 - 10000 angstrom).",
" ",
NULL
}

Definition at line 18 of file bphase.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.